Name: biboumi
Version: 8.3
Release: 2%{?dist}
Summary: An XMPP gateway that connects to IRC servers

License: zlib
URL: https://lab.louiz.org/louiz/biboumi
Source0: %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz
Patch0: Don-t-download-catch-during-build.patch

BuildRequires: gcc-c++
BuildRequires: cmake >= 3.0
BuildRequires: catch-devel
BuildRequires: libuuid-devel
BuildRequires: expat-devel
BuildRequires: libidn-devel
BuildRequires: systemd-devel
BuildRequires: botan2-devel
BuildRequires: sqlite-devel
BuildRequires: udns-devel
BuildRequires: libpqxx-devel
BuildRequires: pandoc
BuildRequires: systemd-rpm-macros
%{?systemd_requires}

%description
Biboumi is an XMPP gateway that connects to IRC servers and translates
between the two protocols. It can be used to access IRC channels using any
XMPP client as if these channels were XMPP MUCs.


%prep
%autosetup


%build
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DPOLLER=EPOLL \
    -DWITH_BOTAN=1 \
    -DWITH_SYSTEMD=1 \
    -DWITH_LIBIDN=1 \
    -DWITH_SQLITE3=1 \
    -DWITH_POSTGRESQL=1 .
%make_build


%install
%make_install


%check
ctest -VV %{?_smp_mflags}


%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%license COPYING
%doc README.rst doc/*.rst
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_sysconfdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_unitdir}/%{name}.service
%{_bindir}/%{name}


%changelog
* Sun Apr 21 2019 Jeremy Cline <jcline@redhat.com> - 8.3-2
- Add systemd scriptlets
- Own the /etc/biboumi directory

* Sun Apr 14 2019 Jeremy Cline <jeremy@jcline.org> - 8.3-1
- Initial package
